// src/routes/investmentRentabilityRoutes.js
const express = require('express');
const router = express.Router();
const investmentRentCtrl = require('../controllers/investmentRentabilityController');

// GET todos
router.get('/investment-rentabilities', investmentRentCtrl.getAllRentabilities);

// GET por ID
router.get('/investment-rentabilities/:id', investmentRentCtrl.getRentabilityById);

// POST (create)
router.post('/investment-rentabilities', investmentRentCtrl.createRentability);

// PUT (update)
router.put('/investment-rentabilities/:id', investmentRentCtrl.updateRentability);

// DELETE
router.delete('/investment-rentabilities/:id', investmentRentCtrl.deleteRentability);

module.exports = router;
